package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.PackBean;

public interface PackDal {
	/**
	 * 插入打包信息
	 * @param packBean
	 * @return
	 */
	public int insertPack(PackBean packBean);
	/**
	 * 查询所有的打包列表，降序排列
	 * @return
	 */
	public List<PackBean> queryAllPackList();
	/**
	 * 查询所有的打包列表，升序排列
	 * @return
	 */
	public List<PackBean> queryAllPackListASC();
	/**
	 * 通过打包id，删除打包信息及其相关的label信息
	 */
	public void deletePackInfoById(PackBean b);
	/**
	 * 修改打包信息的状态
	 * @param status
	 * @param errorCode
	 * @param id
	 */
	public void updatePackStatusById(int status,int errorCode,int id);
	public PackBean getPackBean(Cursor c);
	/**
	 * 已经作为包标签存在
	 * @param packBean
	 * @param labelId
	 * @return
	 */
	public boolean isPackageId(String labelId);
	/**
	 * 通过打包id，更新打包信息
	 * @param packBean
	 */
	public void updatePackById(PackBean packBean);
	/**
	 * 通过打包id查询打包信息
	 * @param id
	 * @return
	 */
	public PackBean queryPackById(int id);
	
	
}
